# Interface PagingResults<T>

interface PagingResults<T> {
cnt: number;
data: T[];
facets: {}[] | null;
idQuery?: number | null;
limit: number | null;
page: number;
}

#### Type Parameters

- T

- Defined in jamespot-user-api/src/types/utils.ts:64

##### Index

### Properties

cnt
data
facets
idQuery?
limit
page

## Properties

### cnt

cnt: number

- Defined in jamespot-user-api/src/types/utils.ts:65

### data

data: T[]

- Defined in jamespot-user-api/src/types/utils.ts:66

### facets

facets: {}[] | null

- Defined in jamespot-user-api/src/types/utils.ts:67

### `Optional` idQuery

idQuery?: number | null

- Defined in jamespot-user-api/src/types/utils.ts:68

### limit

limit: number | null

- Defined in jamespot-user-api/src/types/utils.ts:69

### page

page: number

- Defined in jamespot-user-api/src/types/utils.ts:70